Page MenuHomePhabricator

Mediawiki EventBus should set meta.dt to UTC time
Closed, ResolvedPublic

Description

In the revision-create stream, I see lots of meta.dt with timezones set, e.g. "2018-03-09T04:55:44+09:00". All timestamps should be in GMT/UTC+0 time.

Event Timeline

Ottomata created this task.Mar 8 2018, 7:58 PM
Restricted Application added a project: Analytics. · View Herald TranscriptMar 8 2018, 7:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
mobrovac claimed this task.Mar 8 2018, 8:16 PM
mobrovac triaged this task as Normal priority.
mobrovac added a project: Services (doing).

Change 417359 had a related patch set uploaded (by Mobrovac; owner: Mobrovac):
[mediawiki/extensions/EventBus@master] Event metadata: Use UTC for the meta.dt field

https://gerrit.wikimedia.org/r/417359

Change 417359 merged by jenkins-bot:
[mediawiki/extensions/EventBus@master] Event metadata: Use UTC for the meta.dt field

https://gerrit.wikimedia.org/r/417359

Ottomata moved this task from Incoming to Radar on the Analytics board.Mar 15 2018, 4:40 PM
Pchelolo closed this task as Resolved.Mar 21 2018, 6:36 PM
Pchelolo edited projects, added Services (done); removed Patch-For-Review, Services (doing).
Pchelolo added a subscriber: Pchelolo.

This has been deployed with a regular mediawiki train, resolving.